Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.Designer.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.Designer.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.Designer.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionDialog.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,4 @@
 using System.ComponentModel;
 using System.Globalization;
-using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.Common;
@@ -31,10 +30,10 @@
     private bool allowOnlyInteger;
 
-    public double Minimum { get; private set; }
-    public double Maximum { get; private set; }
-    public double Step { get; private set; }
+    public decimal Minimum { get; private set; }
+    public decimal Maximum { get; private set; }
+    public decimal Step { get; private set; }
 
-    public IEnumerable<double> Values {
-      get { return EnumerateProgression().Reverse(); }
+    public IEnumerable<decimal> Values {
+      get { return SequenceGenerator.GenerateSteps(Minimum, Maximum, Step, includeEnd: true); }
     }
 
@@ -48,5 +47,5 @@
       this.allowOnlyInteger = allowOnlyInteger;
     }
-    public DefineArithmeticProgressionDialog(bool allowOnlyInteger, double minimum, double maximum, double step)
+    public DefineArithmeticProgressionDialog(bool allowOnlyInteger, decimal minimum, decimal maximum, decimal step)
       : this(allowOnlyInteger) {
       Minimum = minimum;
@@ -63,5 +62,5 @@
     private void textBox_Validating(object sender, CancelEventArgs e) {
       var textBox = (TextBox)sender;
-      double value = 0;
+      decimal value = 0;
       if (allowOnlyInteger) {
         int intValue;
@@ -75,5 +74,5 @@
         }
       } else {
-        if (!double.TryParse(textBox.Text, NumberStyles.Float, CultureInfo.CurrentCulture.NumberFormat, out value)) {
+        if (!decimal.TryParse(textBox.Text, NumberStyles.Float, CultureInfo.CurrentCulture.NumberFormat, out value)) {
           errorProvider.SetError(textBox, "Please enter a valid double value.");
           e.Cancel = true;
@@ -90,27 +89,4 @@
       return Minimum <= Maximum && Step >= 0;
     }
-
-    private IEnumerable<double> EnumerateProgression() {
-      double value = Maximum;
-      bool minimumIncluded = false;
-      int i = 1;
-      while (value >= Minimum) {
-        if (value.IsAlmost(Minimum)) {
-          yield return Minimum;
-          minimumIncluded = true;
-        } else yield return value;
-
-        if (Step == 0) break; // a step size of 0 will only output maximum and minimum
-        if (allowOnlyInteger) {
-          value = (int)Maximum - i * (int)Step;
-        } else {
-          value = Maximum - i * Step;
-        }
-        i++;
-      }
-      if (!minimumIncluded) {
-        yield return Minimum;
-      }
-    }
   }
 }
Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.Designer.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.Designer.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.Designer.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/DefineArithmeticProgressionTimeDialog.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 12969)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -74,4 +74,5 @@
       this.infoRichTextBox.TabIndex = 1;
       this.infoRichTextBox.Text = "";
+      this.infoRichTextBox.LinkClicked += new System.Windows.Forms.LinkClickedEventHandler(this.infoRichTextBox_LinkClicked);
       // 
       // InfoBox
Index: branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs
===================================================================
--- branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 12969)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -59,4 +59,8 @@
       LoadEmbeddedResource();
     }
+
+    private void infoRichTextBox_LinkClicked(object sender, LinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start(e.LinkText);
+    }
   }
 }
